Subject: Re: [PATCH] net: stmmac: Allow zero for [tr]x_fifo_size

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 5 Feb 2025 14:39:35 +0000

On Wed, Feb 05, 2025 at 10:22:00PM +0800, Yanteng Si wrote:
> 
> 在 2/4/25 06:23, Jakub Kicinski 写道:
> > On Mon, 3 Feb 2025 11:16:34 +0000 Russell King (Oracle) wrote:
> > > > I've no opinion whether the original series "had value" - I'm just
> > > > trying to fix the breakage that entailed. My first attempt at a patch
> > > > was indeed a (partial) revert, but Andrew was keen to find a better
> > > > solution[1].
> > > There are two ways to fix the breakage - either revert the original
> > > patches (which if they have little value now would be the sensible
> > > approach IMHO)
> > +1, I also vote revert FWIW
> 
> +1, same here.
> 
> 
> For a driver that runs on so much hardware, we need to act
> 
> cautiously. A crucial prerequisite is that code changes must
> 
> never cause some hardware to malfunction. I was too simplistic
> 
> in my thinking when reviewing this before, and I sincerely
> 
> apologize for that.
> 
> 
> Steven, thank you for your tests, Let's revert it.

https://lore.kernel.org/r/[email-masked]

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!